package com.bonus.core.autth.config;


import com.bonus.core.autth.enums.DataPermissionTypeEnum;

import java.lang.annotation.*;

@Target({ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Repeatable(LeNiuDataPermission.List.class)
public @interface LeNiuDataPermission {
   String alias();

   DataPermissionTypeEnum permissionType();

   @Target({ElementType.TYPE, ElementType.METHOD})
   @Retention(RetentionPolicy.RUNTIME)
   @Documented
   public @interface List {
      LeNiuDataPermission[] value();
   }
}
